QGIS Application - Bug report #16941
The new User Profile system broke the existing profile
2017-07-28 11:54 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24840
Description

| just update my nightly to fbff452 which contains the new user profile.

When | launch QGIS, it turns out that it opens with a profile different from the one I'm used to:

- while the computer locale is in French, | used QGIS in English --> it's now in French

- It deactivated the plugins I've installed: actually i didn't install any external plugins, just enabled the Core one --> They are now disabled
for most of them. | guess it'd have been the case if | had installed external plugins (or they may have been deinstalled)

- The PostgreSQL database | was connected to is removed

- The console history I've saved in .qgis3 is neither ported

It's really a default, universal profile (a kind of let's begin from the ground). | didn't really customize the QGIS3 I'm using so can't tell what
other things have not been ported (eg, custom symbology, default crs...?) but i'd have expected the current items in .qgis3 (and
elsewhere) being kept.

I know that new users will launch QGIS3 like a blank page (and would not encounter this issue) but isn't it expected to keep some of
.qgis2 items (custom symbology, current language, other global settings...)? | thought I'd seen a PR about a migration interface...

Ps: | don't know whether the chosen category is appropriate

History

#1 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#2 - 2019-03-10 12:05 AM - Harrissou Santanna
- Status changed from Feedback to Closed

I no longer have the environment to test this (migration from 2.x)
